/****************************************************************************************************

		MCKeyBindingsDefs.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Arnaud
		Date:	1/28/2005

****************************************************************************************************/

#ifndef __MCKeyBindingsDefs__
#define __MCKeyBindingsDefs__


// This file defines some constants to use for the command binding resources.
// => don't put enums or pragmas in it


//These constants MUST match the value of TMCPlatformEvent::fChar
//For letters, use the asci code: 'A'
#define	kcharHome				1
#define	kcharEnter				3
#define	kcharEnd				4		
#define	kcharHelp				5
#define	kcharCommand			6
#define	kcharBackspace			8	  
#define	kcharTab				9
#define	kcharPageUp				11
#define	kcharPageDown			12
#define	kcharReturn				13
#define	kcharLeftMouse			14
#define	kcharRightMouse			15
#define	kcharFunction			16
#define	kcharContextMenu		17
#define	kcharEscape				27  
#define	kcharClear				27
#define	kcharLeft				28
#define	kcharRight				29	  
#define	kcharUp					30
#define	kcharDown				31		 
#define	kcharSpace				32
#define	kcharPeriod				46
#define	kcharFwdDelete			127



#endif
